Bug 1291004 - [abrt] gnome-shell: get_work_area_monitor(): gnome-shell killed by SIGSEGV
[abrt] gnome-shell: get_work_area_monitor(): gnome-shell killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:c310bbe9dc448c598055cbd0206...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-12 11:29 EST by Kai A. Hiller
Modified: 2016-12-20 11:57 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:57:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (44.70 KB, text/plain)
2015-12-12 11:29 EST, Kai A. Hiller
no flags Details
File: cgroup (190 bytes, text/plain)
2015-12-12 11:29 EST, Kai A. Hiller
no flags Details
File: core_backtrace (6.94 KB, text/plain)
2015-12-12 11:29 EST, Kai A. Hiller
no flags Details
File: dso_list (24.57 KB, text/plain)
2015-12-12 11:29 EST, Kai A. Hiller
no flags Details
File: environ (1.80 KB, text/plain)
2015-12-12 11:29 EST, Kai A. Hiller
no flags Details
File: exploitable (82 bytes, text/plain)
2015-12-12 11:29 EST, Kai A. Hiller
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-12 11:29 EST, Kai A. Hiller
no flags Details
File: maps (142.43 KB, text/plain)
2015-12-12 11:29 EST, Kai A. Hiller
no flags Details
File: mountinfo (3.83 KB, text/plain)
2015-12-12 11:29 EST, Kai A. Hiller
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-12 11:29 EST, Kai A. Hiller
no flags Details
File: open_fds (3.84 KB, text/plain)
2015-12-12 11:30 EST, Kai A. Hiller
no flags Details
File: proc_pid_status (1.00 KB, text/plain)
2015-12-12 11:30 EST, Kai A. Hiller
no flags Details
File: var_log_messages (3.55 KB, text/plain)
2015-12-12 11:30 EST, Kai A. Hiller
no flags Details

  None (edit)
Description Kai A. Hiller 2015-12-12 11:29:33 EST
Version-Release number of selected component:
gnome-shell-3.18.3-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: get_work_area_monitor
executable:     /usr/bin/gnome-shell
global_pid:     2911
kernel:         4.2.6-301.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 get_work_area_monitor at core/window.c:6042
 #1 meta_window_get_work_area_for_monitor at core/window.c:6095
 #2 setup_constraint_info at core/constraints.c:375
 #3 meta_window_constrain at core/constraints.c:284
 #4 meta_window_move_resize_internal at core/window.c:3689
 #5 meta_window_move_resize_frame at core/window.c:3820
 #6 g_slist_foreach at gslist.c:878
 #7 meta_screen_foreach_window at core/screen.c:951
 #8 on_monitors_changed at core/screen.c:2438
 #9 ffi_call_unix64 at ../src/x86/unix64.S:76
Comment 1 Kai A. Hiller 2015-12-12 11:29:39 EST
Created attachment 1105104 [details]
File: backtrace
Comment 2 Kai A. Hiller 2015-12-12 11:29:41 EST
Created attachment 1105105 [details]
File: cgroup
Comment 3 Kai A. Hiller 2015-12-12 11:29:42 EST
Created attachment 1105106 [details]
File: core_backtrace
Comment 4 Kai A. Hiller 2015-12-12 11:29:44 EST
Created attachment 1105107 [details]
File: dso_list
Comment 5 Kai A. Hiller 2015-12-12 11:29:46 EST
Created attachment 1105108 [details]
File: environ
Comment 6 Kai A. Hiller 2015-12-12 11:29:48 EST
Created attachment 1105109 [details]
File: exploitable
Comment 7 Kai A. Hiller 2015-12-12 11:29:49 EST
Created attachment 1105110 [details]
File: limits
Comment 8 Kai A. Hiller 2015-12-12 11:29:55 EST
Created attachment 1105111 [details]
File: maps
Comment 9 Kai A. Hiller 2015-12-12 11:29:56 EST
Created attachment 1105112 [details]
File: mountinfo
Comment 10 Kai A. Hiller 2015-12-12 11:29:58 EST
Created attachment 1105113 [details]
File: namespaces
Comment 11 Kai A. Hiller 2015-12-12 11:30:02 EST
Created attachment 1105114 [details]
File: open_fds
Comment 12 Kai A. Hiller 2015-12-12 11:30:04 EST
Created attachment 1105115 [details]
File: proc_pid_status
Comment 13 Kai A. Hiller 2015-12-12 11:30:06 EST
Created attachment 1105116 [details]
File: var_log_messages
Comment 14 Fedora End Of Life 2016-11-24 09:11:46 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2016-12-20 11:57:45 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.